> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Create hashed system blacklist entries > Adds new entries (email, email domain, mobile number, or mobile app alias) to the system blacklist. Entries can be hashed using md5hashgenerator. For SHA-256, provide SHA-256(salt + lower_case_email). Obtain the customer-specific salt from your CSM.
Request body example:

[
{
"type": "EMAIL",
"pattern":"6a4b6cb2045fd55f706eaebd6ab5d4f7"
},
{
"type": "EMAIL",
"pattern":"0dbfb46341bc3d195db23e4015b20847"
}
]
SHA-256 request body example (hashed=sha256):

[{"type":"EMAIL","pattern":"09615f4539d9fa209e3ed27a42124385a217d023366b4662ac6005add13ef323"}]
## OpenAPI ````json POST /blacklist/createSystemEntriesHashed { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/blacklist/createSystemEntriesHashed": { "post": { "tags": [ "Blacklist" ], "summary": "Create hashed system blacklist entries", "description": "Adds new entries (email, email domain, mobile number, or mobile app alias) to the system blacklist. Entries can be hashed using md5hashgenerator. For SHA-256, provide SHA-256(salt + lower_case_email). Obtain the customer-specific salt from your CSM.
Request body example:

[
{
\"type\": \"EMAIL\",
\"pattern\":\"6a4b6cb2045fd55f706eaebd6ab5d4f7\"
},
{
\"type\": \"EMAIL\",
\"pattern\":\"0dbfb46341bc3d195db23e4015b20847\"
}
]
SHA-256 request body example (hashed=sha256):

[{\"type\":\"EMAIL\",\"pattern\":\"09615f4539d9fa209e3ed27a42124385a217d023366b4662ac6005add13ef323\"}]
", "operationId": "createSystemEntriesHashed", "parameters": [ { "name": "hashed", "in": "query", "description": "Hashing algorithm used to hash given entries. For sha256, provide SHA-256(salt + lower_case_email); obtain the customer-specific salt from your CSM.", "required": true, "schema": { "enum": [ "clear-text", "md5", "sha256" ], "type": "string" } } ], "requestBody": { "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/BlacklistEntry" } } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CreateResult" } } } }, "400": { "description": "", "content": { "application/json": {} } } } } } }, "components": { "schemas": { "BlacklistEntry": { "type": "object", "properties": { "type": { "enum": [ "EMAIL", "EMAIL_DOMAIN", "PHONE_NUMBER" ], "type": "string" }, "pattern": { "type": "string" } } }, "CreateResult": { "type": "object", "properties": { "success": { "type": "boolean", "default": false }, "id": { "type": "string" }, "errorActor": { "enum": [ "CLIENT", "SERVER" ], "type": "string" }, "errorCode": { "enum": [ "ARCHIVED_ATTRIBUTE", "BLACKLISTED", "INCORRECT_STATUS", "INVALID_ATTRIBUTE", "INVALID_ATTRIBUTE_VALUE", "INVALID_JOB_ARGUMENT", "INVALID_JOB_DEFINITION_ID", "INVALID_PARAMETER", "INVALID_REQUEST", "MAXIMUM_ATTRIBUTE_COUNT_EXCEEDED", "MAXIMUM_SIZE_EXCEEDED", "MISSING_JOB_ARGUMENT", "MISSING_PARAMETER", "NO_SUCH_ATTRIBUTE", "NO_SUCH_OBJECT", "OBJECT_ALREADY_EXISTS", "OPERATION_DISABLED", "PERMISSION_DENIED", "SOCIAL_USER_MANAGEMENT_ERROR", "SYSTEM_USER_HAS_BILLING_ITEMS", "SYSTEM_USER_HAS_SOCIAL_ROLE", "SYSTEM_USER_IS_INACTIVE", "SYSTEM_USER_IS_OWNER", "UNEXPECTED_ERROR" ], "type": "string" }, "errorMessage": { "type": "string" } } } } } } ````